#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	IP
Summary:	Net::IP - Perl extension for manipulating IPv4/IPv6 addresses
Summary(pl.UTF-8):	Net::IP - rozszerzenie Perla służące do manipulacji adresami IPv4/IPv6
Name:		perl-Net-IP
Version:	1.26
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3a98e3ac45d69ea38a63a7e678bd716d
Patch0:		%{name}-interpreter-path.patch
URL:		http://search.cpan.org/dist/Net-IP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IP Perl module provides functions to deal with IPv4/IPv6
addresses. The module can be used as a class, allowing the user to
instantiate IP objects, which can be single IP addresses, prefixes, or
ranges of addresses. There is also a procedural way of accessing most
of the functions. Most subroutines can take either IPv4 or IPv6
addresses transparently.

%description -l pl.UTF-8
Moduł Perla Net::IP zawiera funkcje operujące na adresach IPv4/IPv6.
Modułu tego można używać jako klasy umożliwiającej użytkownikowi
tworzenie obiektów IP, którymi mogą być pojedyncze adresy, prefiksy,
czy też zakresy adresów. Dostęp do większości funkcji możliwy jest
również drogą proceduralną. Większość procedur może w sposób
przezroczysty operować zarówno na adresach IPv4, jak i IPv6.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ipcount $RPM_BUILD_ROOT%{_bindir}
install iptab $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/IP.pm
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man3/*
%changelog
* Thu Dec 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-IP.git;a=log;h=master

* Wed Dec 02 2015 Adam Osuchowski <adwol@pld-linux.org> 42a6d19
- up to 1.26

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 93d32ac
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9a3ce23
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1133b1c
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 1db84c2
- generic URL

* Thu May 25 2006 blaass <blaass@pld-linux.org> bc4f510
- up to 1.25 (bugfixes)

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> c4a76f4
- orphaned, outdated

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> c8fedf0
- up to 1.24 rel1 builds here

* Tue Oct 18 2005 hawk <hawk@pld-linux.org> 46027e9
- release 3 (2 went to Ra)

* Tue Jun 14 2005 petec <petec@pld-linux.org> 68c15c2
- up to 1.23

* Sun Jun 05 2005 petec <petec@pld-linux.org> e1e8a93
- up to 1.22

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> af9387a
- updated to 1.21

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5d90451
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 14ef4dc
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> 906920b
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> d285c54
- license fixes, cosmetics

* Wed Apr 21 2004 ankry <ankry@pld-linux.org> d6707ae
- ported to new bconds

* Thu Dec 11 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 1ae7aa0
- interpreter-path.patch that fix path to perl in utils
- rel 2

* Thu Dec 11 2003 Marcin Krzyżanowski <marcin.krzyzanowski@hakore.com> 4ea85d9
- fix #!perl to #!/usr/bin/perl in utils

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 478e656
- spaces -> tab

